server:
  port: 89
  tomcat:
    uri-encoding: UTF-8
    threads:
      max: 1000
      min-spare: 30

spring:
  main:
    allow-circular-references: true
  # 数据源
  datasource:
    driverClassName: dm.jdbc.driver.DmDriver
    url: jdbc:dm://172.16.18.44:5236?schema=SSP&useUnicode=true&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=Asia/Shanghai&useSSL=true&characterEncoding=UTF-8
    username: SUNYARD
    # Jasypt加密 可到common-utils中找到JasyptUtil加解密工具类生成加密结果 格式为ENC(加密结果)
    password: 123456
    hikari:
      minimum-idle: 5
      maximum-pool-size: 100
      idle-timeout: 600000           # 空闲连接的最大等待时间，单位为毫秒 (10 分钟)
      max-lifetime: 1800000          # 连接池中连接的最大存活时间，单位为毫秒 (30 分钟)
      connection-timeout: 30000      # 获取连接的超时时间，单位为毫秒 (30 秒)
      leak-detection-threshold: 2000 # 连接泄漏检测阈值，单位为毫秒 (2 秒)
      # 连接测试配置，确保连接有效性
      connection-test-query: SELECT 1
      validation-timeout: 5000       # 验证连接的超时时间，单位为毫秒 (5 秒)
  jackson:
    time-zone: GMT+8
    date-format: yyyy-MM-dd HH:mm:ss

mybatis-plus:
  mapper-locations: classpath*:mapper/**/*Mapper.xml
  # 原生配置
  configuration:
    log-impl: org.apache.ibatis.logging.slf4j.Slf4jImpl
    map-underscore-to-camel-case: true
    cache-enabled: false
    lazy-loading-enabled: false
  global-config:
    # 数据库相关配置
    db-config:
      #主键类型  AUTO:"数据库ID自增", INPUT:"用户输入ID",ID_WORKER:"全局唯一ID (数字类型唯一ID)", UUID:"全局唯一ID UUID";
      id-type: AUTO
      #驼峰下划线转换
      table-underline: true
      #是否开启大写命名，默认不开启
      capital-mode: true
      #逻辑删除配置
      #logic-delete-value: 1
      #logic-not-delete-value: 0

logging:
  level:
    root: info
    com.sunyard.chsm.mapper: debug
#    org.springframework.web: trace
#  config: classpath:log4j2.xml



